Package opennlp.tools.util.featuregen

# Class WordClusterFeatureGenerator

java.lang.Object
opennlp.tools.util.featuregen.WordClusterFeatureGenerator

All Implemented Interfaces:
  `AdaptiveFeatureGenerator`

public class WordClusterFeatureGenerator extends Object implements AdaptiveFeatureGenerator
An `AdaptiveFeatureGenerator` implementation of a word cluster feature generator. It is based on a pre-defined `WordClusterDictionary`.

See Also:
  - `AdaptiveFeatureGenerator`
  - `WordClusterDictionary`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WordClusterFeatureGenerator(WordClusterDictionary dict, String dictResourceKey, boolean lowerCaseDictionary)`
  Instantiates a `WordClusterFeatureGenerator` via a specified `WordClusterDictionary`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)`
  Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.featuregen.AdaptiveFeatureGenerator

  `clearAdaptiveData, updateAdaptiveData`

- ## Constructor Details

  - ### WordClusterFeatureGenerator

    public WordClusterFeatureGenerator(WordClusterDictionary dict, String dictResourceKey, boolean lowerCaseDictionary)
    Instantiates a `WordClusterFeatureGenerator` via a specified `WordClusterDictionary`.
    Parameters:
      `dict` - The token `dictionary` to use.
      `dictResourceKey` - The prefix to use for detected features. Typically, the value for this prefix should be `"dict"`.
      `lowerCaseDictionary` - `true` if tokens will be lower-cased during dictionary lookup, `false` otherwise.

- ## Method Details

  - ### createFeatures

    public void createFeatures(List<String> features, String[] tokens, int index, String[] previousOutcomes)
    Description copied from interface: `AdaptiveFeatureGenerator`
    Adds the appropriate features for the token at the specified `index` with the specified array of `previousOutcomes` to the specified list of features.
    Specified by:
      `createFeatures` in interface `AdaptiveFeatureGenerator`
    Parameters:
      `features` - The list of features to be added to.
      `tokens` - The tokens of the sentence or other text unit being processed.
      `index` - The index of the token which is currently being processed.
      `previousOutcomes` - The outcomes for the tokens prior to the specified index.